{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, send_event, admin_user, center_window, mods_load_control, end_window\r\ndeclare function get_status\r\ndeclare subroutine end_dialog, attach_table\r\n$insert msg_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nosopen 'MODS\\MODS.TXT' to Tvar then\r\n   * OFFLINE DO NOT ALLOW UPDATES\r\n   osclose Tvar\r\n   .us_button->enabled = 0\r\n   .ua_button->enabled = 0\r\nend else\r\n   * ONLINE DO NOT ALLOW NEW PROJECTS OR ADDING REPOSITORY ENTRIES OR PREPARING MODS\r\n   .prep_final_button->enabled = 0\r\n   .prep_button->enabled = 0\r\n   .new_button->enabled  = 0\r\n   .sr_button->enabled   = 0\r\n   attach_table(\"C:\\Revsoft\\OFFnSght\\MODS\", \"\", \"\", \"\")\r\n   if get_status() then\r\n      Void = msg( '', 'Error while attaching offline MODS...' )\r\n      Void = end_window(@window)      \r\n   end\r\nend\r\n* CAUSE SOMETIMES I DON'T LOG INTO THE LSL_MAIN2 AND THEN THIS ERRORS\r\n* MOST OF THE TIME WHEN I GET INTO DEVELOPMENT I GO IMMEDIATELY INTO MODS\r\n\r\nif Admin_user( @user4 ) then \r\n\topen 'MODS_CFG' to ConfigTable else\r\n\t   Void = msg( '', 'Unable to open MODS_CFG table' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tlock ConfigTable, 'MODS' else\r\n\t   Void = msg( '', 'MODS is in use somewhere else...' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tread ModsInfo from ConfigTable, 'MODS' then\r\n\t    if ModsInfo then\r\n\t       .PSD->text = ModsInfo<1>\r\n\t       .PN->text  = ModsInfo<2>\r\n\t       .proj_notes->text = ModsInfo<3>\r\n\t    end\r\n\tend\r\nend else\r\n   Message = 'You do not have the proper security to DO MODS...' \r\n   Message<micon$> = 'H'\r\n   Void = msg( '', Message )\r\n   end_dialog( @window, '' )\r\nend\r\nVoid = mods_load_control()\r\nRETURN 1"
        }
    }
}